Prepare and check storage layer for satwiki
Closed, ResolvedPublic

Description

The new wiki is going to be public.

Urbanecm created this task.Jun 28 2018, 2:44 PM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 28 2018, 2:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Marostegui added a subscriber: Marostegui.

Let us know when it is created so we can sanitize it

Urbanecm moved this task from Backlog to Created on the User-Urbanecm board.Jun 28 2018, 3:10 PM
Marostegui triaged this task as Normal priority.Jul 2 2018, 5:21 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-02T12:58:48Z] <marostegui> Sanitize zhwikiversity satwiki T199599 T198401

Marostegui edited projects, added Data-Services; removed Cloud-Services.
Marostegui added subscribers: Bstorm, bd808.

I have sanitized this wiki and my new user was created correctly with all the sanitization done.
It is ready for cloud-services-team to create the views.

bd808 added a comment.Aug 2 2018, 11:44 PM

I have run sudo /usr/local/sbin/maintain-replica-indexes --debug --database satwiki on all 3 wiki replica hosts.

@Bstorm I can't finish this one due to pymysql.err.OperationalError: (1044, "Access denied for user 'maintainviews'@'localhost' to database 'satwiki\\_p'") on all 3 hosts. Your root powers are required.

I have granted access to that, try re-running the script:

for i in labsdb1009 labsdb1010 labsdb1011; do echo $i; mysql.py -h$i -e " show grants for 'labsdbuser';" | grep -i satwiki;done
labsdb1009
GRANT SELECT, SHOW VIEW ON `satwiki\\_p`.* TO 'labsdbuser'
labsdb1010
GRANT SELECT, SHOW VIEW ON `satwiki\\_p`.* TO 'labsdbuser'
labsdb1011
GRANT SELECT, SHOW VIEW ON `satwiki\\_p`.* TO 'labsdbuser'

Created the _p database for this. @bd808 if you are very bored, you can finish it now (DNS should already be set). I can get it myself later otherwise. Because of that bug, these all need both the grant and the _p database created on every replica.

bd808 closed this task as Resolved.Aug 3 2018, 10:47 PM
bd808 claimed this task.
$ sql satwiki
Reading table information for completion of table and column names
You can turn off this feature to get a quicker startup with -A

Welcome to the MariaDB monitor.  Commands end with ; or \g.
Your MariaDB connection id is 70541536
Server version: 10.1.33-MariaDB MariaDB Server

Copyright (c) 2000, 2018, Oracle, MariaDB Corporation Ab and others.

Type 'help;' or '\h' for help. Type '\c' to clear the current input statement.

(u3518@satwiki.analytics.db.svc.eqiad.wmflabs) [satwiki_p]> show tables;
+-------------------------+
| Tables_in_satwiki_p     |
+-------------------------+
| abuse_filter            |
| abuse_filter_action     |
| abuse_filter_log        |
| archive                 |
| archive_userindex       |
| babel                   |
| category                |
| categorylinks           |
| change_tag              |
| change_tag_def          |
| comment                 |
| content                 |
| content_models          |
| externallinks           |
| filearchive             |
| filearchive_userindex   |
| geo_tags                |
| global_block_whitelist  |
| globalblocks            |
| image                   |
| imagelinks              |
| interwiki               |
| ip_changes              |
| ipblocks                |
| ipblocks_ipindex        |
| iwlinks                 |
| l10n_cache              |
| langlinks               |
| linter                  |
| logging                 |
| logging_logindex        |
| logging_userindex       |
| module_deps             |
| oldimage                |
| oldimage_userindex      |
| page                    |
| page_props              |
| page_restrictions       |
| pagelinks               |
| protected_titles        |
| recentchanges           |
| recentchanges_userindex |
| redirect                |
| revision                |
| revision_userindex      |
| site_identifiers        |
| site_stats              |
| sites                   |
| slot_roles              |
| slots                   |
| tag_summary             |
| templatelinks           |
| transcode               |
| updatelog               |
| user                    |
| user_former_groups      |
| user_groups             |
| user_properties         |
| valid_tag               |
| wbc_entity_usage        |
+-------------------------+
60 rows in set (0.00 sec)